//  (C) Copyright John Maddock 2001.
//  (C) Copyright Alisdair Meredith 2007.
//  Use, modification and distribution are subject to the
//  Boost Software License, Version 1.0. (See accompanying file
//  LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

//  See http://www.boost.org/libs/config for most recent version.

//  MACRO:         BOOST_CXX0X_REFERENCE_COLLAPSING
//  TITLE:         C++0x reference collapsing - Core issue 106
//  DESCRIPTION:   In C++98/03 it is an error to declare a reference to a reference
//                 In C++0x such declarations simply produce another reference
//                   to the same object.

namespace boost_cxx0x_reference_collapsing{

template < typename T >
struct test_holder
{
    typedef T & type;
};

typedef test_holder< int & >::type wrap_test;

int test()
{
    return 0;
}

}

